Package org.eclipse.mat.ui.internal.browser

# Class QueryBrowserProvider

java.lang.Object
org.eclipse.mat.ui.internal.browser.QueryBrowserProvider

Direct Known Subclasses:
  `QueryAllProvider`, `QueryHistoryProvider`, `QueryRegistryProvider`

public abstract class QueryBrowserProvider extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryBrowserProvider()`

## Method Summary

Modifier and Type
Method
Description
`abstract QueryBrowserPopup.Element[]`
`getElements()`
`QueryBrowserPopup.Element[]`
`getElementsSorted()`
`abstract String`
`getName()`
`static boolean`
`unsuitableSubjects(QueryDescriptor query, IQueryContext queryContext)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryBrowserProvider

public QueryBrowserProvider()

## Method Details

### getName

public abstract String getName()

### getElements

public abstract QueryBrowserPopup.Element[] getElements()

### getElementsSorted

public QueryBrowserPopup.Element[] getElementsSorted()

### unsuitableSubjects

public static boolean unsuitableSubjects(QueryDescriptor query, IQueryContext queryContext)